### Function

# Clutter value_dup_paint_node

#### Declaration [src]

    ClutterPaintNode*
    clutter_value_dup_paint_node (
      const GValue* value
    )

#### Description [src]

Retrieves a pointer to the `ClutterPaintNode` contained inside the passed `GValue`, and if not `NULL` it will increase the reference count.

#### Parameters

`value`

  Type: `GValue`

  A `GValue` initialized with `CLUTTER_TYPE_PAINT_NODE`.

  The data is owned by the caller of the function.

#### Return value

Type: `ClutterPaintNode`

A pointer to the `ClutterPaintNode`, with its reference count increased, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.